Subject: Re: bug#48471: 28.0.50; Incorrect handling of `project-ignores' on macOS (BSD find?) if project root is a directory name

From: Philipp <[email-masked]>
Date: Sun, 23 May 2021 13:08:14 +0200

> Am 18.05.2021 um 01:06 schrieb Dmitry Gutov <[email-masked]>:
> 
> On 17.05.2021 23:02, Philipp wrote:
>> The attached patch fixes both unit tests for project.el on my macOS system.
> 
> Thanks, now I think I understand the problem. And you're suggesting the alternative solution also proposed previously in the https://lists.gnu.org/archive/html/emacs-devel/2021-01/msg00156.html discussion.
> 
> Please go ahead with the patch,

Thanks, I've installed the patch as commit 2e55201b8085d64c76d9a35bffff90a02133647e.

> though it would be better to use a version of it which fixes the same behavior in two other related functions as well. The previous patch for that approach is here: https://lists.gnu.org/archive/html/emacs-devel/2021-01/txtDduOxGoiGz.txt
> 
> (From the message https://lists.gnu.org/archive/html/emacs-devel/2021-01/msg00345.html).
> 
> Also, since it will fix the double-slash problem, we can undo the change from 331e40a8fd491ceb35c08a3345785dab61bc60d9, the one that made our comparisons lax (to match both single and double slashes).

I'm also fine with either of those, but we should first make sure that the code in question is well-covered by unit tests to avoid regressions.